tabs:
  main:
    display: Main
    sections:
      -
        display: Design
        instructions: 'Customize the design of your site'
        fields:
          -
            handle: business_name
            field:
              type: text
              display: 'Business Name'
              instructions: 'The name is used throughout the site'
              validate:
                - required
              width: 50
          -
            handle: logo
            field:
              max_files: 1
              container: assets
              type: assets
              display: Logo
              width: 50
              instructions: 'The logo for your main nav'
          -
            handle: corner_style
            field:
              options:
                -
                  key: rounded-none
                  value: Square
                -
                  key: rounded
                  value: 'Rounded Small'
                -
                  key: rounded-xl
                  value: 'Rounded Medium'
                -
                  key: rounded-3xl
                  value: 'Rounded Large'
              default: square
              type: select
              display: 'Corner Style'
              instructions: 'Choose square or rounded corners for your photos'
              width: 50
          -
            handle: galleries_layout
            field:
              options:
                -
                  key: offset
                  value: Offset
                -
                  key: column
                  value: Column
              default: offset
              type: button_group
              display: 'Galleries Layout'
              instructions: 'The layout style of the gallery lists'
              width: 50
          -
            handle: protected_page_images
            field:
              container: assets
              type: assets
              display: 'Protected Page Images'
              instructions: 'Images to be used on protected pages other than protected galleries'
      -
        display: 'Private Galleries'
        instructions: 'Configure your private galleries'
        fields:
          -
            handle: lowres
            field:
              default: '1000'
              type: integer
              display: 'Low Resolution'
              width: 50
              instructions: 'Resize images to this width when the setting is enabled'
              append: px
          -
            handle: watermark
            field:
              type: group
              display: Watermark
              fullscreen: false
              instructions: 'The settings for your watermark'
              fields:
                -
                  handle: mark
                  field:
                    max_files: 1
                    container: assets
                    type: assets
                    display: Mark
                    width: 50
                    instructions: 'An image of your watermark'
                    validate:
                      - image
                -
                  handle: markpos
                  field:
                    options:
                      -
                        key: top-left
                        value: 'Top Left'
                      -
                        key: top
                        value: Top
                      -
                        key: top-right
                        value: 'Top Right'
                      -
                        key: left
                        value: Left
                      -
                        key: center
                        value: Center
                      -
                        key: right
                        value: Right
                      -
                        key: bottom-left
                        value: 'Bottom Left'
                      -
                        key: bottom
                        value: Bottom
                      -
                        key: bottom-right
                        value: 'Bottom Right'
                    type: select
                    display: Position
                    default: bottom-right
                    width: 50
                    instructions: 'The position of the watermark'
                -
                  handle: markpad
                  field:
                    default: 5
                    type: range
                    display: Padding
                    width: 50
                    instructions: "Relative to the image's width. [Learn more](https://glide.thephpleague.com/2.0/api/watermarks/#padding-markpad)."
                -
                  handle: markw
                  field:
                    default: 25
                    type: range
                    display: Width
                    width: 50
                    instructions: "Relative to the image's width. [Learn more](https://glide.thephpleague.com/2.0/api/watermarks/#width-markw)."
